REM MS-DOS script for compiling and deploying the Customer bean.

REM set the required environment variables
set ORACLE_HOME=E:\Oracle\Ora81
set ORACLE_SERVICE=sess_iiop://localhost:2481:ORCL
set CLASSPATH=.;%ORACLE_HOME%\lib\aurora_client.jar;%ORACLE_HOME%\jdbc\lib\classes111.zip;%ORACLE_HOME%\sqlj\lib\translator.zip;%ORACLE_HOME%\lib\vbjorb.jar;%ORACLE_HOME%\lib\vbjapp.jar

REM compile the Customer bean files
javac customer\CustomerRecord.java
javac customer\Customer.java
javac customer\CustomerHome.java
sqlj -ser2class customer\CustomerBean.sqlj

REM build the jar file containing the classes
jar -cf0 customer.jar customer/Customer.class customer/CustomerRecord.class customer/CustomerHome.class  customer/CustomerBean.class customer/CustomerBean_SJProfile0.class customer/CustomerBean_SJProfileKeys.class

REM deploy the Customer bean using the deployejb utility
call deployejb -republish -temp temp -user fundamental_user -password fundamental_password -service %ORACLE_SERVICE% -descriptor customer.ejb customer.jar
