/*@lineinfo:filename=TCustomer*//*@lineinfo:user-code*//*@lineinfo:1^1*/import java.sql.SQLException;
import oracle.jdbc.driver.OracleConnection;
import oracle.jdbc.driver.OracleTypes;
import oracle.sql.CustomDatum;
import oracle.sql.CustomDatumFactory;
import oracle.sql.Datum;
import oracle.sql.STRUCT;
import oracle.jpub.runtime.MutableStruct;
import sqlj.runtime.ref.DefaultContext;
import sqlj.runtime.ConnectionContext;
import java.sql.Connection;

public class TCustomer implements CustomDatum, CustomDatumFactory
{
  public static final String _SQL_NAME = "OBJECT_USER.T_CUSTOMER";
  public static final int _SQL_TYPECODE = OracleTypes.STRUCT;

  /*@lineinfo:generated-code*//*@lineinfo:18^3*/

//  ************************************************************
//  SQLJ context declaration:
//  ************************************************************

static class _Ctx 
extends sqlj.runtime.ref.ConnectionContextImpl
implements sqlj.runtime.ConnectionContext
{
  public _Ctx(java.sql.Connection conn) 
    throws java.sql.SQLException 
  {
    super(profiles, conn);
  }
  public _Ctx(java.lang.String url, java.lang.String user, java.lang.String password, boolean autoCommit) 
    throws java.sql.SQLException 
  {
    super(profiles, url, user, password, autoCommit);
  }
  public _Ctx(java.lang.String url, java.util.Properties info, boolean autoCommit) 
    throws java.sql.SQLException 
  {
    super(profiles, url, info, autoCommit);
  }
  public _Ctx(java.lang.String url, boolean autoCommit) 
    throws java.sql.SQLException 
  {
    super(profiles, url, autoCommit);
  }
  public _Ctx(sqlj.runtime.ConnectionContext other) 
    throws java.sql.SQLException 
  {
    super(profiles, other);
  }
  public java.util.Dictionary getTypeMap() 
  {
    return m_typeMap;
  }
  private static java.util.Dictionary m_typeMap = null;
  public static _Ctx getDefaultContext() 
  {
    if (defaultContext == null)
    {
      java.sql.Connection conn = sqlj.runtime.RuntimeContext.getRuntime().getDefaultConnection();
      if (conn != null)
      {
        try 
        {
          defaultContext = new _Ctx(conn);
        }
        catch (java.sql.SQLException e) 
        {
        }
      }
    }
    return defaultContext;
  }
  public static void setDefaultContext(_Ctx ctx) 
  {
    defaultContext = ctx;
  }
  private static _Ctx defaultContext = null;
  public static java.lang.Object getProfileKey(sqlj.runtime.profile.Loader loader, java.lang.String profileName) 
    throws java.sql.SQLException 
  {
    return profiles.getProfileKey(loader, profileName);
  }
  private static final sqlj.runtime.ref.ProfileGroup profiles = new sqlj.runtime.ref.ProfileGroup();
  public static sqlj.runtime.profile.Profile getProfile(java.lang.Object profileKey) 
  {
    return profiles.getProfile(profileKey);
  }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:18^26*/
  _Ctx _ctx;

  MutableStruct _struct;

  static int[] _sqlType =
  {
    2, 12, 12, 91, 12, 2002
  };

  static CustomDatumFactory[] _factory = new CustomDatumFactory[6];
  static
  {
    _factory[5] = TAddress.getFactory();
  }

  static final TCustomer _TCustomerFactory = new TCustomer();
  public static CustomDatumFactory getFactory()
  {
    return _TCustomerFactory;
  }

  /* constructors */
  public TCustomer()
  {
    _struct = new MutableStruct(new Object[6], _sqlType, _factory);
    try
    {
      _ctx = new _Ctx(DefaultContext.getDefaultContext());
    }
    catch (Exception e)
    {
      _ctx = null;
    }
  }

  public TCustomer(ConnectionContext c) throws SQLException
  {
    _struct = new MutableStruct(new Object[6], _sqlType, _factory);
    _ctx = new _Ctx(c == null ? DefaultContext.getDefaultContext()
                              : c);
  }
  public TCustomer(Connection c) throws SQLException
  {
    _struct = new MutableStruct(new Object[6], _sqlType, _factory);
    _ctx = new _Ctx(c);
  }

  /* CustomDatum interface */
  public Datum toDatum(OracleConnection c) throws SQLException
  {
    _ctx = new _Ctx(c);
    return _struct.toDatum(c, _SQL_NAME);
  }

  /* CustomDatumFactory interface */
  public CustomDatum create(Datum d, int sqlType) throws SQLException
  {
    if (d == null) return null;
    TCustomer o = new TCustomer();
    o._struct = new MutableStruct((STRUCT) d, _sqlType, _factory);
    o._ctx = new _Ctx(((STRUCT) d).getConnection());
    return o;
  }

  /* accessor methods */
  public java.math.BigDecimal getId() throws SQLException
  { return (java.math.BigDecimal) _struct.getAttribute(0); }

  public void setId(java.math.BigDecimal id) throws SQLException
  { _struct.setAttribute(0, id); }


  public String getFirstName() throws SQLException
  { return (String) _struct.getAttribute(1); }

  public void setFirstName(String firstName) throws SQLException
  { _struct.setAttribute(1, firstName); }


  public String getLastName() throws SQLException
  { return (String) _struct.getAttribute(2); }

  public void setLastName(String lastName) throws SQLException
  { _struct.setAttribute(2, lastName); }


  public java.sql.Timestamp getDob() throws SQLException
  { return (java.sql.Timestamp) _struct.getAttribute(3); }

  public void setDob(java.sql.Timestamp dob) throws SQLException
  { _struct.setAttribute(3, dob); }


  public String getPhone() throws SQLException
  { return (String) _struct.getAttribute(4); }

  public void setPhone(String phone) throws SQLException
  { _struct.setAttribute(4, phone); }


  public TAddress getAddress() throws SQLException
  { return (TAddress) _struct.getAttribute(5); }

  public void setAddress(TAddress address) throws SQLException
  { _struct.setAttribute(5, address); }


  public Integer getAge ()
  throws SQLException
  {
    TCustomer __jPt_temp = this;
    Integer __jPt_result;
    /*@lineinfo:generated-code*//*@lineinfo:131^5*/

//  ************************************************************
//  #sql [_ctx] { BEGIN
//        :__jPt_result := :__jPt_temp.GET_AGE();
//        END;
//       };
//  ************************************************************

{
  sqlj.runtime.ConnectionContext __sJT_connCtx = _ctx;
  if (__sJT_connCtx == null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext __sJT_execCtx = __sJT_connCtx.getExecutionContext();
  if (__sJT_execCtx == null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_EXEC_CTX();
  TCustomer __sJT_2 = __jPt_temp;
  synchronized (__sJT_execCtx) {
    sqlj.runtime.profile.RTStatement __sJT_stmt = __sJT_execCtx.registerStatement(__sJT_connCtx, TCustomer_SJProfileKeys.getKey(0), 0);
    try 
    {
      __sJT_stmt.setObject(2, __sJT_2);
      __sJT_execCtx.executeUpdate();
      __jPt_result = __sJT_stmt.getIntWrapper(1);
    }
    finally 
    {
      __sJT_execCtx.releaseStatement();
    }
  }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:135^5*/
    return __jPt_result;
  }
}/*@lineinfo:generated-code*/class TCustomer_SJProfileKeys 
{
  private static TCustomer_SJProfileKeys inst = null;
  public static java.lang.Object getKey(int keyNum) 
    throws java.sql.SQLException 
  {
    if (inst == null)
    {
      inst = new TCustomer_SJProfileKeys();
    }
    return inst.keys[keyNum];
  }
  private final sqlj.runtime.profile.Loader loader = sqlj.runtime.RuntimeContext.getRuntime().getLoaderForClass(getClass());
  private java.lang.Object[] keys;
  private TCustomer_SJProfileKeys() 
    throws java.sql.SQLException 
  {
    keys = new java.lang.Object[1];
    keys[0] = TCustomer._Ctx.getProfileKey(loader, "TCustomer_SJProfile0");
  }
}
